# PartnerValue

> One partner's attributed revenue, orders and return in a window. Read access, partners toolset, MCP tool get_partner_value.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `from` | `Datetime` | no | ISO 8601 with a zone, e.g. `2026-01-01T00:00:00Z` | Window start: the UTC day this instant falls in, inclusive. Defaults to 30 days ago. |
| `partnerId` | `UUID!` | yes |  | The partner, resolved inside the caller's own workspace. |
| `to` | `Datetime` | no | ISO 8601 with a zone, e.g. `2026-01-01T00:00:00Z` | Window end: the UTC day this instant falls in, inclusive. Defaults to now. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"PartnerValue","variables":{"partnerId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"101a4170cd4a60b997de80fc28ca5a95499ec5cf6c684b360368a2df0a40cddd"}}}'
```

## Document

```graphql
query PartnerValue($from: Datetime, $partnerId: UUID!, $to: Datetime) { __typename partnerValue(partnerId: $partnerId, from: $from, to: $to) { __typename orders reported { __typename convertedCount crossCurrencyCount reportingCurrency total unconverted { __typename amount count currency } } roi spend { __typename amount currency known reason source } } }
```

Source: https://developer.missin.co.uk/reference/partners/partner-value
